com.holonplatform.core.query

## Interface QuerySort.QuerySortResolver<T extends QuerySort>

- Type Parameters:
    `T` - QuerySort type to be resolved
  All Superinterfaces:
    Expression.ExpressionResolverFunction<T,QuerySort>, ExpressionResolver<T,QuerySort>, Serializable
  Enclosing interface:
    QuerySort

      public static interface QuerySort.QuerySortResolver<T extends QuerySort>
      extends ExpressionResolver<T,QuerySort>

  Convenience interface to create an `ExpressionResolver` to resolve a custom `QuerySort` class into a standard `QuerySort`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ExpressionResolver

      `ExpressionResolver.ExpressionResolverBuilder<C extends ExpressionResolver.ExpressionResolverBuilder<C>>, ExpressionResolver.ExpressionResolverHandler, ExpressionResolver.ExpressionResolverProvider, ExpressionResolver.ExpressionResolverSupport, ExpressionResolver.ResolutionContext`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.ExpressionResolver

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends QuerySort> ExpressionResolver<T,QuerySort>` | `create(Class<? extends T> type, Expression.ExpressionResolverFunction<T,QuerySort> function)` Create an `ExpressionResolver` to resolve a custom `QuerySort` class into a standard `QuerySort` using the given resolver function.
    `default Class<? extends QuerySort>` | `getResolvedType()` Get the resolved expression type

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver

      `create, getExpressionType`

    - ### Methods inherited from interface com.holonplatform.core.Expression.ExpressionResolverFunction

      `resolve`

- - ### Method Detail

    - #### getResolvedType

          default Class<? extends QuerySort> getResolvedType()

      Description copied from interface: `ExpressionResolver`
      Get the resolved expression type
      Specified by:
        `getResolvedType` in interface `ExpressionResolver<T extends QuerySort,QuerySort>`
      Returns:
        Resolved expression type (not null)

    - #### create

          static <T extends QuerySort> ExpressionResolver<T,QuerySort> create(Class<? extends T> type,
                                                                              Expression.ExpressionResolverFunction<T,QuerySort> function)

      Create an `ExpressionResolver` to resolve a custom `QuerySort` class into a standard `QuerySort` using the given resolver function.
      Type Parameters:
        `T` - QuerySort type to be resolved
      Parameters:
        `type` - QuerySort type to be resolved
        `function` - Resolver function
      Returns:
        A new `ExpressionResolver`

Copyright © 2019 The Holon Platform. All rights reserved.